Skip to content

Searches for references using predefined parameters

Request

Searches for references using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The reference that you would like to be saved.

application_idsArray of strings(Applications)

IDs of award applications

award_idsArray of strings(Awards)

IDs of the awards to search

citystring(City)

City to search

contact_idsArray of strings(Contacts)

The contact ids of the nominees

datestring(Date)

Date

email_addressstring(Email Address)
first_namestring(First Name)
idsArray of strings(Ids)

IDs to search

job_titlestring(Job Title)
last_namestring(Last Name)
namestring(Name)
nicknamestring(Nickname)
organization_idArray of strings(Organization)
statestring(State)

The state

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/awards/awards-v1/references/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "application_ids": [
      "string"
    ],
    "award_ids": [
      "string"
    ],
    "city": "string",
    "contact_ids": [
      "string"
    ],
    "date": "string",
    "email_address": "string",
    "first_name": "string",
    "ids": [
      "string"
    ],
    "job_title": "string",
    "last_name": "string",
    "name": "string",
    "nickname": "string",
    "organization_id": [
      "string"
    ],
    "state": "string"
  }'

Responses

The reference search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(ReferenceSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }